{
    "doc": "This is the response from `POST /datasets/search` expressed as JSON.",
    "fields": [
        {
            "default": [],
            "doc": "The list of datasets.",
            "name": "datasets",
            "type": {
                "items": {
                    "doc": "Represents a group of contextually related data objects of (e.g. all Individuals, Samples, \nExperiments associated with a particular feature; or e.g. a trio in genetic diagnostics.).\nThis concept may be expanded in the future (ontology for describing the type of dataset ...).\nTODO: Determination of scope, structure, specific attributes, e.g. limiting to single \nrecord type - see http://purl.obolibrary.org/obo/IAO_0000100 - and providing alternative mechanism \nfor heterogeneous data with external contextualization, e.g. all records of different \ntypes associated with a clinical study.",
                    "fields": [
                        {
                            "doc": "The dataset UUID. This is globally unique.",
                            "name": "id",
                            "type": "string"
                        },
                        {
                            "default": null,
                            "doc": "A description of the dataset.",
                            "name": "description",
                            "type": [
                                "null",
                                "string"
                            ]
                        }
                    ],
                    "name": "Dataset",
                    "namespace": "org.ga4gh.models",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "default": null,
            "doc": "The continuation token, which is used to page through large result sets.\n  Provide this value in a subsequent request to return the next page of\n  results. This field will be empty if there aren't any additional results.",
            "name": "nextPageToken",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "SearchDatasetsResponse",
    "namespace": "org.ga4gh.methods",
    "type": "record"
}